No announcement yet.

AMD Catalyst 8.3 Linux Driver

  • Filter
  • Time
  • Show
Clear All
new posts

  • #21
    I HAVE A PROBLEM: I am running gutsy amd64. When I try to install "xorg-driver-fglrx_8.471-0ubuntu1_amd64.deb" it gives an error. It says that this package tries to delete /usr/lib32/ from ia32-libs (or something like that)./QUOTE]

    $ sudo dpkg -i --force-overwrite xorg-driver-fglrx_8.471-0ubuntu1_amd64.deb


    • #22
      GOD!!!! A usable driver release!!!! thanks bridgman for listening our rants and take notes of our problems... XV works as a charm now... Thanks AMD guys, at last the fglrx mess is almost over! OpenGL output in VLC is still messed up... don't know what might be, but Mplayer OpenGL rendering works fine...
      Last edited by linzerd; 03-05-2008, 08:13 PM.


      • #23
        It installs! It runs! But...

        So glxgears runs and gives me > 3100 fps, with no trace of corruption on a 1680x1050 screen. Yay.

        Playing videos using xine and XVideo no longer crashes the Xserver when xine exits, but does crash the Xserver when the video file reaches its end. The backtrace suggests an illegal memcpy in, as called by XVidPutImage(). At the bottom of the stack trace is the function FontFileCompleteXLFD(), and there's not much information between the two.

        World of Warcraft/Wine 0.9.56 (OpenGL mode) still locks up the Xserver (but not the laptop) when run full-screen at 1680x1050. However, it seems to run OK in a 1400x900 window, and that is what I am doing at the moment. At 1680x1050, WoW's login screen renders correctly and the music plays in the background, but none of the animations work and the mouse and keyboard do not respond.

        So on balance, I think I'll be sticking with 8.3 for a bit longer. However, being stuck at 1400x900 is annoying. Also, WoW's rendering does some weird things unless I provide WoW with the following options:

        SET pixelShaders "0"
        SET M2UseShaders "0"
        SET M2USePixelShaders "1"

        This is on a Thinkpad T60p, with a FireGL V5250 chip, and running Fedora 8. The laptop uses an Intel Core 2 Duo running at 2.33 GHz, and has 2 GB RAM.
        Last edited by chrisr; 03-05-2008, 08:50 PM.


        • #24
          After reading the posts in this thread I cannot wait until this new driver would be available in Arch's [extra] repository. Don't want to create my own PKGBUILD by modifying the one from previous drivers, cause I have much more believe in Arch's devs skills, than in mine


          • #25
            Originally posted by phoronix View Post
            Phoronix: AMD Catalyst 8.03 Linux Driver

            there are a few bug fixes that may satisfy some Linux users.

            As far as I'm concerned that's the understatement of the year. I don't want to speak too soon (I've been messing with it for about 30 minutes) but as far as I can tell, this one is a godsend!

            XV video looks good, no diagonal nonsense, no blocky crapola, no horizontal flicker.... glxgears gets a satisfying speed... I can do 3D and whatever else. Timing was great too as I was messing around with the OSS driver all day yesterday trying to get it to do 3D on my M54 (x1400) which it does not want to do... and for what it's worth, I had flicker when playing video on the OSS driver, which I don't have with the new release.

            Thanks Bridgman, for listening to my bitches and anti-ATI rants. Long live ATI!

            ...I will probably never upgrade my driver again!


            • #26

              Textured Video is working for my RS690 chip!!!
              No diagonial tearing anymore!!
              3D corruption is gone now! Games are playble again!

              To all ATi staff out there Matthew, John, Alex and rest of the team:
              Thanks a lot guys from X1250 owners for this springtime gift!
              Finally we can use our Home Theater PC's under our Linux revolutionary 64-bit Operating Systems!!


              • #27
                Originally posted by Netsnipe View Post
                Originally posted by SledgeHammer_999 View Post
                I HAVE A PROBLEM: I am running gutsy amd64. When I try to install "xorg-driver-fglrx_8.471-0ubuntu1_amd64.deb" it gives an error. It says that this package tries to delete /usr/lib32/ from ia32-libs (or something like that).
                $ sudo dpkg -i --force-overwrite xorg-driver-fglrx_8.471-0ubuntu1_amd64.deb
                I was able to install BUT:


                VIDEO PLAYBACK IS F__KED UP:
                the first time after reboot I tried to play the video file but the machine started "restart sequence". After that "restart" whenever I try to play something the app just dies/vanishes. This happens to Totem(gstreamer) and mplayer(xv). Opengl playback in mplayer works(haven't tried on totem). Come on how the hell did you fix Xv when I can't play anything??

                EDIT: does anyone have any success with gutsy?(amd64)


                • #28
                  Under openSuSE 10.3 64-bit, kernel, Xorg 7.3 xserver 1.4.90 and ATi X1250 card this driver seems like a gift for the new year!!

                  Also Xv can be double buffered and GLESX module now has flags=30(well don't know what this actually means but generally 2D is much better with Compiz-Fusion and without it!)

                  Well it's time to hit EXA, XvMC, and Crossfire along with AIGLX improvements!!


                  • #29
                    A little update to my previous post:

                    Using gst-launch to play a video file I get this in the terminal
                    X Error of failed request: BadValue (integer parameter out of range for operation)
                    Major opcode of failed request: 141 (XVideo)
                    Minor opcode of failed request: 19 ()
                    Value in failed request: 0x3800002
                    Serial number of failed request: 68
                    Current serial number in output stream: 69


                    • #30

                      Bulding Fedora 8 package still doesn't work

                      RPM build errors:
                      File not found by glob: /tmp/ATI-fglrx-8.471-1-9256-root/tmp/ATI-fglrx-8.471-1.f8-root-root/usr/X11R6/lib/modules/dri/*